const base = (props: any) => {
  const header = `%c${props.type === 'warn' ? '😬' :  props.type === 'error' ? '❗️' : '✌️'} <<< VUESAX >>>`
  let bg = '#fff'
  if (props.type === 'warn') {
    bg = '#ffba00'
  } else if (props.type === 'error') {
    bg = 'rgb(255,71,87)'
  }

  const headerStyle = `color: ${ bg === '#fff' ? '#5b5777' : '#fff'}; font-weight: bold; font-size: 15px; border-radius: 0px 16px 16px 16px; padding-left: 3px; padding-right: 15px; padding-top: 4px; padding-bottom: 4px; background: ${bg}; letter-spacing: 1px; margin: auto; text-shadow: 3px 3px 3px rgba(0,0,0,.2);`
  const text = `%c\n
-------------------------------

${props.text}

-------------------------------\n\n`
  if (props.type === 'warn') {
    console.warn(header + text, headerStyle, '', props.el,  `\n\n👆 mas informacion: ${props.link}`)
  } else if(props.type === 'error') {
    console.error(header + text, headerStyle, '', props.el,  `\n\n👆 mas informacion: ${props.link}`)
  } else {
    console.log(header + text, headerStyle, '', props.el,  `\n\n👆 mas informacion: ${props.link}`)
  }
}

const warn = (props: any) => {
  base({
    type: 'warn',
    ...props
  })
}
const log = (props: any) => {
  base({
    type: 'log',
    ...props
  })
}
const error = (props: any) => {
  base({
    type: 'error',
    ...props
  })
}

// (window as any).consolee = consolee

export default {
  warn,
  log,
  error
}
